suix_getAllCoins

Coin Query API

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Return all Coin objects owned by an address.

Parameters

KeyRequiredTypeDetail
ownerSuiAddressthe owner's Sui address
cursorObjectIDoptional paging cursor
limituintmaximum number of items per page
  "params": [
    "0x04658c48392301596b700ec6799dbbb333097b300c164a491fee0522fc6f5ddd",
    "0x090ef9c05eaf4af5c3c347f17ae4e93e4081d1deb4ef3ec02f9ae46b26f54a6e",
    3
  ]

Result

CoinPage : <Page_for_Coin_and_ObjectID>

Example

Request

curl <your-endpoint> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '
{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "suix_getAllCoins",
  "params": [
    "0x04658c48392301596b700ec6799dbbb333097b300c164a491fee0522fc6f5ddd",
    "0x090ef9c05eaf4af5c3c347f17ae4e93e4081d1deb4ef3ec02f9ae46b26f54a6e",
    3
  ]
}
'

Response

{
    "jsonrpc": "2.0",
    "result": {
        "data": [
            {
                "coinType": "0x6864a6f921804860930db6ddbe2e16acdf8504495ea7481637a1c8b9a8fe54b::cetus::CETUS",
                "coinObjectId": "0x01ac0e575edb7b68ee518cada2b770bed531485ef3ff2bb64dfbc86bb57c8fec",
                "version": "2197935",
                "digest": "5GTaVyCERK59VMeFvDnAtWUsi215QdbizRgHCoKPhydW",
                "balance": "21512519966",
                "previousTransaction": "7z7RBdsY3RissZbQq2tB5KVYXW8HngfgUmAh82UUVcr6"
            },
            {
                "coinType": "0x1e520f3bb4b93938cf2bc90fb8d709ed3042dbf3c0290824c0ace15e583e8162::suishiba::SUISHIBA",
                "coinObjectId": "0x35c7ceac84760d56e298189fb67fb5ed49ec9dc4b6e705ca8f6e4f8fd65f3f80",
                "version": "2320133",
                "digest": "4B4zz6NE4ZdSTb7bk71CRJTQMxfXNeooKviPCsq4hfbE",
                "balance": "0",
                "previousTransaction": "BgVv473x8vHgmUHUwi7GjqNuLvU7YPr37zNUWPRLz9Xw"
            },
            {
                "coinType": "0x1e520f3bb4b93938cf2bc90fb8d709ed3042dbf3c0290824c0ace15e583e8162::suishiba::SUISHIBA",
                "coinObjectId": "0xe9e95dfe07232dde191ee1ab139f88959d3af7e453d862ab19482c91f6652c97",
                "version": "2324240",
                "digest": "BEWftzZiyArHxGVhxFjALg7P4xXXqHK2p12kEsUyS5ux",
                "balance": "10682011883691",
                "previousTransaction": "4eyE2NvPHJCpt7oiK8Tc6KuiVfJKuS7Gca54XQ5u7M59"
            }
        ],
        "nextCursor": "0xe9e95dfe07232dde191ee1ab139f88959d3af7e453d862ab19482c91f6652c97",
        "hasNextPage": false
    },
    "id": 1
}
Path Params
string
required
Defaults to 8f170bbbc110407597b2ded8474747db
Body Params
string
Defaults to { "jsonrpc": "2.0", "id": 1, "method": "suix_queryTransactionBlocks", "params": [ { "filter": { "InputObject": "0xbb1531504c9c3235d3cd637ed9573cbe18461255b4175a1cb1e1b07b8aa8e11b" }, "options": null } ] }
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json